Exp
Arithmetic Operations

E raised to the power of each sample of a signal. More...

## Functions

NppStatus | nppsExp_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
| 32-bit floating point signal exponent. More...
NppStatus | nppsExp_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength)
| 64-bit floating point signal exponent. More...
NppStatus | nppsExp_32f64f (const Npp32f *pSrc, Npp64f *pDst, int nLength)
| 32-bit floating point signal exponent with 64-bit floating point result. More...
NppStatus | nppsExp_32f_I (Npp32f *pSrcDst, int nLength)
| 32-bit floating point signal exponent. More...
NppStatus | nppsExp_64f_I (Npp64f *pSrcDst, int nLength)
| 64-bit floating point signal exponent. More...
NppStatus | nppsExp_16s_Sfs (const Npp16s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
| 16-bit signed short signal exponent, scale, then clamp to saturated value. More...
NppStatus | nppsExp_32s_Sfs (const Npp32s *pSrc, Npp32s *pDst, int nLength, int nScaleFactor)
| 32-bit signed integer signal exponent, scale, then clamp to saturated value. More...
NppStatus | nppsExp_64s_Sfs (const Npp64s *pSrc, Npp64s *pDst, int nLength, int nScaleFactor)
| 64-bit signed integer signal exponent, scale, then clamp to saturated value. More...
NppStatus | nppsExp_16s_ISfs (Npp16s *pSrcDst, int nLength, int nScaleFactor)
| 16-bit signed short signal exponent, scale, then clamp to saturated value. More...
NppStatus | nppsExp_32s_ISfs (Npp32s *pSrcDst, int nLength, int nScaleFactor)
| 32-bit signed integer signal exponent, scale, then clamp to saturated value. More...
NppStatus | nppsExp_64s_ISfs (Npp64s *pSrcDst, int nLength, int nScaleFactor)
| 64-bit signed integer signal exponent, scale, then clamp to saturated value. More...

## Detailed Description

E raised to the power of each sample of a signal.

## Function Documentation

NppStatus nppsExp_16s_ISfs | ( | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal exponent, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal exponent, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

32-bit floating point signal exponent.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_32f64f | ( | const Npp32f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

32-bit floating point signal exponent with 64-bit floating point result.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit floating point signal exponent.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_32s_ISfs | ( | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed integer signal exponent, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_32s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed integer signal exponent, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

64-bit floating point signal exponent.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

64-bit floating point signal exponent.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_64s_ISfs | ( | Npp64s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

64-bit signed integer signal exponent, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsExp_64s_Sfs | ( | const Npp64s * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

64-bit signed integer signal exponent, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation